let habits = [];
let goals = { short: [], long: [] };

document.querySelector('form').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const habit = {
    name: document.getElementById('habit-name').value,
    time: document.getElementById('reminder-time').value,
    frequency: document.getElementById('frequency').value,
    completed: false
  };
  
  habits.push(habit);
  displayHabits();
  this.reset();
});

function displayHabits() {
  const list = document.getElementById('habits');
  list.innerHTML = habits.map((habit, index) => `
    <li>
      <span>${habit.name} - ${habit.time} (${habit.frequency})</span>
      <input type="checkbox" ${habit.completed ? 'checked' : ''} onchange="toggleComplete(${index})">
    </li>
  `).join('');
}

function toggleComplete(index) {
  habits[index].completed = !habits[index].completed;
  displayHabits();
}

function addGoal(type) {
  const goal = prompt(`Enter your ${type}-term goal:`);
  if (goal) {
    goals[type].push(goal);
    displayGoals();
  }
}

function displayGoals() {
  document.getElementById('short-term-goals').innerHTML = goals.short.map(goal => `<li>${goal}</li>`).join('');
  document.getElementById('long-term-goals').innerHTML = goals.long.map(goal => `<li>${goal}</li>`).join('');
}

// Chart.js implementation would go here